@import "./../../../../../../../assets/styles/utils";
@import "./../Title/style.shadow";

.cmp-landing-intro-f {
  @keyframes lp-landing-home-logo-animation {
    0% {
      opacity: 0;
      transform: scale(0.3);
    }

    100% {
      opacity: 1;
      transform: scale(1.0);
    }
  }

  @keyframes lp-landing-home-pattern-animation {
    0% {
      opacity: 0.5;
      background-color: rgba(255, 255, 255, 0.3);
    }

    100% {
      opacity: 1;
      background-color: rgba(255, 255, 255, 0.6);
    }
  }

  .hide-container {
    position: relative;
    height: 100vh;
    margin-top: -150px;

    display: flex;
    flex-direction: column;

    .hide-dummy {
      height: $UI_LANDING_TITLE_HEIGHT;
    }

    .hide-content {
      flex: 1;
      position: relative;
    }
  }

  .layout {
    height: 100%;
    background-color: #000;
    max-height: 100%;

    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;

    display: flex;
    flex-direction: column;

    .layout-image {
      flex: 1;
      background-color: #f0f0f0;
      position: relative;

      @include user-no-select;

      .layout-image-back {
        z-index: 1;

        position: absolute;
        height: 100%;
        width: 100%;

        background-image: url('/dist/app/images/landing/landing-front.jpeg');
        background-size: cover;
        background-repeat: no-repeat;
      }

      .layout-logo {
        z-index: 3;

        cursor: default;

        position: absolute;
        height: 100%;
        width: 100%;

        font-family: "Futura PT Light", sans-serif;
        font-weight: 400;
        color: #000000;

        display: flex;
        justify-content: center;
        align-items: center;
        align-content: center;

        .logo-container {
          .logo {
            padding: 20px;
            outline-offset: 3px;
            outline: 5px solid rgba(255,255,255,0.5);
            width: 200px;
            height: 200px;
            text-align: center;
            background-color: #ffffff;

            animation-name: lp-landing-home-logo-animation;
            animation-duration: 0.4s;
            animation-iteration-count: 1;
            animation-timing-function: cubic-bezier(0.4, 0.0, 0.6, 1);
            animation-fill-mode: forwards;

            h1 {
              font-size: 64px;
              margin: 0;
            }

            hr {
              display: inline-block;
              border: 1px solid #000000;
              width: 30%;
              margin: 15px 0;
            }

            h2 {
              font-size: 20px;
              text-transform: uppercase;
            }
          }
        }
      }
    }

    .layout-main-menu {
      flex-shrink: 0;
      background-color: #ffffff;
      text-align: center;
      vertical-align: top;
      position: relative;

      >.dummy {
        vertical-align: top;
        display: inline-block;
        height: 81px;
        width: 1px;
        background-color: #ffffff;
      }

      >.dummy-menu-container {
        vertical-align: top;
        position: absolute;
        left: 0; right: 0;
        top: 0;
      }
    }
  }
}
